This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 804753 - authconfig should not set quiet argument to pam_succeed_if uid >= 1000 by default
authconfig should not set quiet argument to pam_succeed_if uid >= 1000 by def...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 14:15 EDT by Tim Niemueller
Modified: 2013-02-13 21:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2012-03-19 14:15:03 EDT
Description of problem:
authconfig generates the following line, for example in /etc/pam.d/password-auth:

auth        requisite     pam_succeed_if.so uid >= 1000 quiet

Just recently I ran into this problem when trying bulk provisioning using kickstart install with FreeIPA. User IDs were starting with UID 800, working just fine on F<=15, and even with an earlier F16 install for some reason. Then console authentication failed with a nebulous "Authentication failure" in the log. With the help of the fine folks at #freeipa, and sgallagh in particular, we spotted this "uid >= 1000" requirement causing the problem.

To spare more users from running into this problem, it would be helpful to remove the "quiet" flag, at least for a couple of Fedora releases until everybody has gotten used to the "min 1000 UID" requirement.


Version-Release number of selected component (if applicable):
authconfig-6.1.16-2.fc16.x86_64
Comment 1 Tomas Mraz 2012-03-19 14:24:21 EDT
Yes, it should be replaced with quiet_success
Comment 2 Tomas Mraz 2012-07-19 16:04:10 EDT
Fixed in rawhide.
Comment 3 Fedora End Of Life 2013-01-16 19:39:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 21:28:13 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.